#include <sourcemod>
#include <megahal>

ConVar g_hCvarLearn;
ConVar g_hCvarTalk;

public Plugin myinfo =
{
	name = "MegaHAL ChatBot",
	author = "Afronanny",
	description = "It learns and spits out nonsense when you want it to",
	version = "1.3.3.7",
	url = "http://www.afronanny.org/"
};

public void OnPluginStart()
{
	g_hCvarLearn = CreateConVar("sm_megahal_learn", "1", "Will the plugin learn new phrases said by players?");
	g_hCvarTalk = CreateConVar("sm_megahal_talk", "0", "Should the plugin reply to players?");
}

public void OnClientSayCommand_Post(int client, const char[] command, const char[] sArgs)
{
	if (g_hCvarLearn.BoolValue)
		MH_Learn(sArgs);
	
	if (g_hCvarTalk.BoolValue)
	{
		MH_DoReply(sArgs, ReplyFunc);
	}
}

public void ReplyFunc(const char[] reply)
{
	PrintToChatAll("\x03ChatBot \x01: %s", reply);
	PrintToServer("ChatBot : %s", reply);
}
